IF .NOT. FIRST
	ERASE
ENDIF
CLEAR
STORE F TO FIRST
STORE PEEK(340) TO WIDE
STORE PEEK(341) TO LINES
@ LINES-8,8 SAY "1> Ruler lines demo - by Mike Kelly"
@ LINES-7,8 SAY "2> Square root demo - by John Hathaway"
@ LINES-6,8 SAY "3> Graphics demo - by John Hathaway"
@ LINES-5,8 SAY "4> Download information for Demo Programs"
@ LINES-4,8 SAY "5> Quit to dBASE II RCP/M"
SET INTE ON
@ LINES-2,8 SAY "Your request - "
SET INTE OFF
STORE " " TO QUEST
SET COLON ON
DO WHILE QUEST = " "
	@ LINES-2,22 GET QUEST PICT "#"
	READ
	STORE VAL(QUEST) TO QST
	IF QST < 1 .OR. QST > 5
		STORE " " TO QUEST
	ENDIF
ENDDO
IF QUEST = "1"
 	DO RULEDEMO
ELSE
	IF QUEST = "2"
		DO SQRTDEMO
	ELSE
		IF QUEST = "3"
			DO DEMGRAPH
		ELSE
			IF QUEST = "4"
				DO DEMOINFO
			ELSE
				IF QUEST = "5"
					ERASE
					QUIT
				ENDIF 5
			ENDIF 4
		ENDIF 3
	ENDIF 2
ENDIF 1
